﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HilightingShape
{
    public partial class Form1 : Form
    {
        private DuraMapUtility_HilightingShape HilightingShape = null;

        public Form1()
        {
            InitializeComponent();

            HilightingShape = new DuraMapUtility_HilightingShape(axXr1);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var DR = openFileDialog.ShowDialog();

            if(DR == DialogResult.OK)
            {
                var ConnectionString = openFileDialog.FileName;
                axXr1.Layers.AddShapeMapLayer("lyr", ConnectionString);
                axXr1.WaitForAllConnections();
                axXr1.ZoomFullExtent();
                axXr1.Update();

                axXr1.MouseMode = XrMapLib.XrMapViewModeEnum.XrPanMode;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            axXr1.ZoomInFix();
            axXr1.Update();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            axXr1.ZoomOutFix();
            axXr1.Update();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            HilightingShape.Hilighting("lyr", (int)numericUpDown1.Value);
        }
        
        private void axXr1_OnCustomDraw(object sender, AxXrMapLib._IXrMapControlEvents_OnCustomDrawEvent e)
        {
            HilightingShape.OnCustomDrawEvent(e);
        }

        private void axXr1_OnLButtonUp(object sender, AxXrMapLib._IXrMapControlEvents_OnLButtonUpEvent e)
        {
            XrMapLib.IValueList FIDs = axXr1.GetFIDFromMousePoint("lyr", e.x, e.y, false);
            if (FIDs.Count > 0)
            {
                int FID = FIDs.GetValueAsInteger(0);
                numericUpDown1.Value = FID;
            }
        }
    }
}
